curl --request POST \
--url https://api.fabric.inc/v3/products/actions/filter-change-category \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetCategoryId": "AACCVVV1234567",
"match": {
"id": {
"op": "IN",
"value": [
"blue"
]
},
"sku": {
"op": "IN",
"value": [
"blue"
]
},
"type": {
"op": "EQUALS",
"value": "ITEM"
},
"categoryId": [
{
"op": "IN",
"value": [
"blue"
]
}
],
"properties": [
{
"attributeId": "CAZZX1234567DDDDD",
"attributeValue": [
{
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
}
]
}
],
"variantIds": {
"op": "IN",
"value": [
"blue"
]
},
"bundleProductIds": {
"op": "IN",
"value": [
"blue"
]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"createdBy": {
"op": "IN",
"value": [
"blue"
]
}
}
}
'import requests
url = "https://api.fabric.inc/v3/products/actions/filter-change-category"
payload = {
"targetCategoryId": "AACCVVV1234567",
"match": {
"id": {
"op": "IN",
"value": ["blue"]
},
"sku": {
"op": "IN",
"value": ["blue"]
},
"type": {
"op": "EQUALS",
"value": "ITEM"
},
"categoryId": [
{
"op": "IN",
"value": ["blue"]
}
],
"properties": [
{
"attributeId": "CAZZX1234567DDDDD",
"attributeValue": [
{
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
}
]
}
],
"variantIds": {
"op": "IN",
"value": ["blue"]
},
"bundleProductIds": {
"op": "IN",
"value": ["blue"]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-09-14T22:10:30.618Z",
"toValue": "2023-04-14T22:10:30.618Z"
},
"createdBy": {
"op": "IN",
"value": ["blue"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetCategoryId: 'AACCVVV1234567',
match: {
id: {op: 'IN', value: ['blue']},
sku: {op: 'IN', value: ['blue']},
type: {op: 'EQUALS', value: 'ITEM'},
categoryId: [{op: 'IN', value: ['blue']}],
properties: [
{
attributeId: 'CAZZX1234567DDDDD',
attributeValue: [
{
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
}
]
}
],
variantIds: {op: 'IN', value: ['blue']},
bundleProductIds: {op: 'IN', value: ['blue']},
createdAt: {
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
},
updatedAt: {
op: 'RANGE',
fromValue: '2022-09-14T22:10:30.618Z',
toValue: '2023-04-14T22:10:30.618Z'
},
createdBy: {op: 'IN', value: ['blue']}
}
})
};
fetch('https://api.fabric.inc/v3/products/actions/filter-change-category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "877f1f77bcf86cd799439087"
}{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Unable to find or create product"
}
]
}{
"type": "UNAUTHORIZED_ERROR",
"message": "The requester is unauthorized"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "Payload exceeds maximum configured size"
}{
"message": "Internal Server Error",
"type": "SERVER_ERROR"
}Bulk Reassign Products to a Different Category Using Filter Conditions
To enhance product visibility or improve product organization, you may want to reassign products to a different category. With this endpoint, you can asynchronously reassign products to a different category. Instead of waiting for results through the API response, you’ll gets notified via email whether the products were successfully reassigned.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Body
Response
OK
Job ID for the exported job
24-character system-generated job ID
"877f1f77bcf86cd799439087"
Was this page helpful?
